//MyPCF8574.h

#ifndef MyPCF8574_h
#define MyPCF8574_h

#define defined_ATtiny (defined(__AVR_ATtiny45__) || defined(__AVR_ATtiny85__) || defined(__AVR_ATtiny44__) || defined(__AVR_ATtiny84__))

#if defined_ATtiny
  #include "TinyWireM.h"
  #define Wire TinyWireM
#else
  #include <Wire.h>
#endif

#include "Arduino.h"


class MyPCF8574
{
  public:
    MyPCF8574();
    void init(byte I2CAdd);
    void writeByte(byte sByte);
    byte readByte(void);
    byte readBit(byte bitNumber);
    boolean isReady(void);
    void writeBit(byte bitNumber, bool bitWert);
    void writeBitHigh(byte bitNumber);
    void writeBitLow(byte bitNumber);
    byte readBackBit(byte bitNumber);
    byte readBackByte();
    void toggleBit(byte bitNumber);
    void toggleByte();
        
  private:
    byte _i2cAdd;
    byte lastByte;
    byte _sByte;
    byte _pinNumber;
    byte _bitWert;

     
};

#endif